<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.17"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Moxit: Class Members</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Moxit
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.17 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
</div><!-- top -->
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="contents">
<div class="textblock">Here is a list of all class members with links to the classes they belong to:</div>

<h3><a id="index_m"></a>- m -</h3><ul>
<li>m_body
: <a class="el" href="classRequest.html#ab369a4749316d22e59b28b07c52f04ab">Request</a>
, <a class="el" href="classResponse.html#a9ed0181ff56ebd15afbdd5862c4b2817">Response</a>
</li>
<li>m_buffer
: <a class="el" href="structHttpStatus.html#a4360f54d0940930d6d808760c1f5c967">HttpStatus</a>
</li>
<li>m_chat
: <a class="el" href="classGame.html#a97055de6b4d8160d1aba45bc286aaddc">Game</a>
</li>
<li>m_choiceCounter
: <a class="el" href="classGame.html#acb2c9f4602b63c6bfd7796c5c13bdf18">Game</a>
</li>
<li>m_client_fd
: <a class="el" href="structHttpStatus.html#a1f3a9d954ad1164644f76d013b2a7738">HttpStatus</a>
</li>
<li>m_clientSocketFds
: <a class="el" href="classMoxitServer.html#a14c168e115aca57dc9cd0f818b470201">MoxitServer</a>
</li>
<li>m_clue
: <a class="el" href="classGame.html#af4337a226b47598d3a7ee9639fbd737d">Game</a>
</li>
<li>m_commonPile
: <a class="el" href="classGame.html#a97320237fdffa99b9734b61e4de2c50c">Game</a>
</li>
<li>m_currNarrator
: <a class="el" href="classGame.html#a0a9d5bb8c9144d14d9c2b23050f3e900">Game</a>
</li>
<li>m_currNarratorId
: <a class="el" href="classGame.html#aabdd4d5028074dc3aaa6cee3d79c272f">Game</a>
</li>
<li>m_deck
: <a class="el" href="classGame.html#a7aa9ffce0fda4d86900bb2c283d68cf4">Game</a>
</li>
<li>m_epfd
: <a class="el" href="classMoxitServer.html#a7cd3b8f962bc132586ab629e0e3c24a6">MoxitServer</a>
</li>
<li>m_evlist
: <a class="el" href="classMoxitServer.html#a76af6d8d08643683f608e15cb00c2fc4">MoxitServer</a>
</li>
<li>m_gameID
: <a class="el" href="classGame.html#a03b6365f7e77ced75459196b95acde0c">Game</a>
</li>
<li>m_gamePhase
: <a class="el" href="classGame.html#a57e9942a644eeba38957f2c9367e68d0">Game</a>
</li>
<li>m_games
: <a class="el" href="classMoxitServer.html#ac76fc67d56504bea0f4e2b9af1a93c49">MoxitServer</a>
</li>
<li>m_gameStateSockets
: <a class="el" href="classMoxitServer.html#a04311593233a95734a7a5ebbff08b07c">MoxitServer</a>
</li>
<li>m_hand
: <a class="el" href="classPlayer.html#a1309f93ee2d9b7502c940942a52c2457">Player</a>
</li>
<li>m_handler
: <a class="el" href="classHandler.html#aea7aed30884ba9e1c483ca140191055c">Handler</a>
</li>
<li>m_handlers
: <a class="el" href="classMoxitServer.html#accd4e8d13caef3f398c2bb8db150bd4c">MoxitServer</a>
</li>
<li>m_header
: <a class="el" href="classRequest.html#a328049ffb4351d3823cececf6daf931c">Request</a>
</li>
<li>m_headers
: <a class="el" href="classResponse.html#a8ec3e610fa370ef365d5286794dbe897">Response</a>
</li>
<li>m_hostId
: <a class="el" href="classGame.html#ab2dd3826bf4ba0d7278dfd1f826df8a9">Game</a>
</li>
<li>m_id
: <a class="el" href="classPlayer.html#adb55893c7c4eaddcdf1e34c34716c907">Player</a>
</li>
<li>m_idToPlayer
: <a class="el" href="classGame.html#a93c4fd298263ddf4cbe17066f7c8a940">Game</a>
</li>
<li>m_ip_address
: <a class="el" href="classMoxitServer.html#aeadf910ac6b5cd14f1690d9b9d8bcbce">MoxitServer</a>
</li>
<li>m_isGameStarted
: <a class="el" href="classGame.html#a60848e4cd251d60df45a4c556f4a8477">Game</a>
</li>
<li>m_isOver
: <a class="el" href="classGame.html#a74dd88f380dfe9edb99c25856957746f">Game</a>
</li>
<li>m_kv
: <a class="el" href="classRequestHeader.html#ab64aa5824bd54c4e281551283ca38a72">RequestHeader</a>
</li>
<li>m_left_to_send
: <a class="el" href="structHttpStatus.html#a97af6858b37b548ced7846287b25a39a">HttpStatus</a>
</li>
<li>m_maxPlayers
: <a class="el" href="classGame.html#a7926ea5b357aa57afaf1d1b274aad402">Game</a>
</li>
<li>m_method
: <a class="el" href="classHandler.html#a1d454f1b46a287bb91a3ec0e7e70ba84">Handler</a>
, <a class="el" href="classRequestHeader.html#a6b6eb70107b8c49316005f9f62e3e52d">RequestHeader</a>
</li>
<li>m_narratorCard
: <a class="el" href="classGame.html#a73b428da4f258e3f27fc041797a74980">Game</a>
</li>
<li>m_numOfClients
: <a class="el" href="classMoxitServer.html#a99eb797e882eccfd4c7e354e6bd13c1b">MoxitServer</a>
</li>
<li>m_path
: <a class="el" href="classHandler.html#a263744fcd2cc1623d7806705cf3971b3">Handler</a>
, <a class="el" href="classRequestHeader.html#af0bd0001fba17eb2ddc4d6f5d226c7b4">RequestHeader</a>
</li>
<li>m_players
: <a class="el" href="classGame.html#aa4f00650a49bd784bfd8221f8a4fb473">Game</a>
</li>
<li>m_points
: <a class="el" href="classPlayer.html#af40b202e39d34b244b882aeead951552">Player</a>
</li>
<li>m_port
: <a class="el" href="classMoxitServer.html#a666ed13291b3437b4edc69862c40ebea">MoxitServer</a>
</li>
<li>m_prevNarratorCard
: <a class="el" href="classGame.html#a0bbf15081ffb0742597ecf1638d4a811">Game</a>
</li>
<li>m_read_body_bytes
: <a class="el" href="structHttpStatus.html#a4e4a2de3ee2bef03dcf8ffe927136c28">HttpStatus</a>
</li>
<li>m_read_header_bytes
: <a class="el" href="structHttpStatus.html#a52449c66f8b70744d289a02ec64e076f">HttpStatus</a>
</li>
<li>m_req_status
: <a class="el" href="structHttpStatus.html#af39b20ecce20c77b282176651d53ee5e">HttpStatus</a>
</li>
<li>m_running
: <a class="el" href="classMoxitServer.html#aad28f72d540a777bd6bd2e28f19743f0">MoxitServer</a>
</li>
<li>m_sendingMessage
: <a class="el" href="classChat.html#af7954ee57f1a5806e33fbd58a81f5244">Chat</a>
</li>
<li>m_sent_bytes
: <a class="el" href="structHttpStatus.html#ad947d58cbbabfc6741740e539b9ab60f">HttpStatus</a>
</li>
<li>m_socket
: <a class="el" href="classMoxitServer.html#ab4b11b84d055e1a330240be3504cc465">MoxitServer</a>
, <a class="el" href="classRequest.html#a9cc8561be5abe4141ffe1f69575ac2ec">Request</a>
, <a class="el" href="classResponse.html#a784eb971f9ab13a401b976d75739808d">Response</a>
</li>
<li>m_socketAddress
: <a class="el" href="classMoxitServer.html#a9f703c913fed1ff7c92587868d7d2ced">MoxitServer</a>
</li>
<li>m_socketAddress_length
: <a class="el" href="classMoxitServer.html#aa8aba33a384400ac9368eb64ad84da17">MoxitServer</a>
</li>
<li>m_startGameBtnConnected
: <a class="el" href="classHostGame.html#a32261cf7b9f95c436f2dff224909029c">HostGame</a>
</li>
<li>m_status
: <a class="el" href="classResponse.html#a0c8028f7a50979d4ff71d50059816a1b">Response</a>
</li>
<li>m_username
: <a class="el" href="classChat.html#a0f511033e9ee496831c53a26e3f2dad1">Chat</a>
, <a class="el" href="classPlayer.html#a0c99af4b7950452158d78c15ff05ab38">Player</a>
</li>
<li>m_voteCounter
: <a class="el" href="classGame.html#a8c08b61fe342f31025615c2b7371deae">Game</a>
</li>
<li>m_votes
: <a class="el" href="classGame.html#ae2e30ed3430cdcfc4fe0ca8cbc17c732">Game</a>
</li>
<li>m_worker_threads
: <a class="el" href="classMoxitServer.html#ad0dc6effca9577805c18bb5d09de73e4">MoxitServer</a>
</li>
<li>mainWindow
: <a class="el" href="classHostGame.html#adbad8cb4cd12a4ac4096e913a86f42d4">HostGame</a>
, <a class="el" href="classLobby.html#a4b33287029790c7de7547a7c8b677bc7">Lobby</a>
</li>
<li>MainWindow()
: <a class="el" href="classMainWindow.html#a996c5a2b6f77944776856f08ec30858d">MainWindow</a>
</li>
<li>mainWindow
: <a class="el" href="classSettings.html#a174ebe9d7b242bc5a0b79f77fa14e3e1">Settings</a>
</li>
<li>maxPlayers()
: <a class="el" href="classGame.html#ac6eb99acf1dbf29beddd2efdb30ca6c0">Game</a>
, <a class="el" href="classTable.html#af785b77dd2f0b21237dea9c10c6ab95d">Table</a>
</li>
<li>message
: <a class="el" href="classChatBackend.html#aa8e1c66a4a8d74b5c1c8bb8110d55c3e">ChatBackend</a>
</li>
<li>MoxitServer()
: <a class="el" href="classMoxitServer.html#a6656c3b00da6d383a3382d0beb0ed41b">MoxitServer</a>
</li>
<li>MyDelegate()
: <a class="el" href="classMyDelegate.html#aa3dce8ba46dc7d7542abf02f2e9a7404">MyDelegate</a>
</li>
<li>myId()
: <a class="el" href="classGameStateService.html#ab26b5943500b865b45f1cabcca04a987">GameStateService</a>
</li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.17
</small></address>
</body>
</html>
